Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum2 -- CercaGlobale -- Informativa su Cookie e Privacy

Questo Forum1 è in sola lettura -- Usa il Forum2


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
Problemi aggiornamento Mint 15 Olivia
#1
Buongiorno a tutti, come da titolo ho problemi (o avevo) nell'aggiornamento della mia mint 15 Olivia. Il messaggio è il solito che molti qui nel forum e su internet hanno rilevato: E: Encountered a section with no Package: header E: Problem with MergeList /var/lib/apt/lists archive.ubuntu.com_ubuntu_dists_raring_multiverse_i18n_Translation-it%5fIT E: Impossibile analizzare o aprire l'elenco dei pacchetti o il file di stato. E: cache->open() failed, please report.
Sul forum ho trovato la stessa soluzione per tutti ma che funziona solo per la sessione in corso, quando il pc viene riavviato torna (almeno a me) tutto come prima. Su un forum inglese consigliano di mettere un # sulla riga di canonical nelle sorgenti abilitate e, stranamente, al riavvioil problema non si ripresenta. Qualcuno può aiutarmi a capire cosa è cambiato commentando quella riga e soprattutto se non si perde qualcosa con questa operazione?
Grazie
Cita messaggio
#2
Commentando quella riga non verranno più aggiornati e monitorati quei repository pertanto qualora in quei canali rilasciassero degli aggiornamenti a programmi che hai installati non li riceveresti.
Cita messaggio
#3
ciao tumbler, in effetti la mia domanda era retorica in quanto una cosa del genere era chiara. Quello che mi preme sapere è: come mai commentando quella riga il problema non si ripropone più?, da cosa vienea generato l'errore?, da una chiave sbagliata?, posso modificare/aggiornare quella chiave?
La mia soluzione è chiaramente una soluzione temporanea, deve essercene una definitiva perché non posso credere che il tool di sviluppatori non abbia rilasciato qualcosa. Considera che ho installato il sistema ieri mattina e ho tenuto i repo ufficiali, cioè solo quelli inseriti dall'installazione.
Grazie della risposta
Cita messaggio
#4
dopo aver commentato la riga con canonical presente, effettuato l'aggiornamento dei pacchetti, scommentata la riga, aver effettuato l'aggiornamento delle informazioni il problema non si è più ripresentato. Da ieri sera utilizzo tranquillamente (in 2 locazioni differenti, casa e ufficio) il portatile senza messaggi strani da parte della routine di aggiornamento. Non so se questa possa essere considerata una soluzione ma sta andando.
Cita messaggio
#5
purtroppo oggi ho di nuovo problemi con gli aggiornamenti, stesso messaggio, stesso risultato. Anche facendo la modifica come sopra non succede nulla. Qualcuno conosce il problema e può proporre una soluzione? Grazie
Cita messaggio
#6
sul forum di linuxmint.com ho trovato questa soluzione: "To fix the MergeList issue open Software Sources and click on the Maintenance button and press the button there for this. You first need to install that. Next, you want the package ia32-libs-multiarch not ia32-libs. ia32-libs is for ancient versions of Linux Mint. Currently supported versions of Linux Mint use ia32-libs-multiarch. Any program or website that refers you to ia32-libs will probably also work fine with ia32-libs-multiarch, but not that any such program or website will be over a year out of date." L'ho implementata e per il momento (?) funziona. Vi aggiornerò.
Cita messaggio


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)